Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002202KdenliveEffectspublic2011-06-30 09:122011-07-04 10:03
ReporterAlexK 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version 
Summary0002202: crop effect is inoperable
DescriptionWhilst the crop controls react locally in what appears to be a normal fashion, there is zero interaction with the monitor view. Therefore, unless possessed of some kind of super spider-sense (scary thought), this vital control is inoperable.
Steps To Reproduce1 Drop a clip into the timeline
2 Choose `crop' effect
3 Click merrily around the Effect Stack window

...and curse as you realise nothing is happening within the Monitor window.
Additional Information~$ kdenlive/20110628/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit 9bcf07ae4a1ebd83713350ce7ef9c1d47de9d30f Date: Tue Jun 28 12:54:25 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit dbe5f0172b4f123b15bc8ada82dd17b13c4bbbd7 Date: Tue Jun 28 22:23:52 2011 +0200
mlt: commit febfd488055a5994c96c5bc6b33213a609a7b054 Date: Sun Jun 26 23:07:08 2011 -0700
kdenlive: Revision: 5745 Last Changed Date: 2011-06-28 22:15:05 +0100 (Tue, 28 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5745)

(it would be excellent if the crop control could utilise screen-based control, like some other effects) (just saying...)
TagsNo tags attached.
Build/Install Method(select)
Attached Files? file icon crop-test.kdenlive [^] (7,918 bytes) 2011-06-30 22:19

- Relationships

-  Notes
(0006994)
j-b-m (administrator)
2011-06-30 16:42

Cannot reproduce.

Can you please attach a project file with a simple clip & crop effect that produces the bug for you? You are using Kdenlive from the build script is that right? Because you seem to have lots of problems with effects that I canot reproduce (freeze, LADSPA...) Wondering if there are some issues related to the build script version...
(0006998)
AlexK (reporter)
2011-06-30 22:32
edited on: 2011-06-30 22:33

SVN 5751, compiled using build script

1 Added 00:01:06:24 duration clip to newly-opened Kdenlive
2 Dropped 8:20 sec section in timeline
3 Added `Crop & scale | Crop' effect & randomly clicked on top 4 settings within `Effect Stack' window (no effect within Monitor)
4 Chose `Render | MPEG-2 | Render to file' (this gave the now-normal "render has crashed" message)
5 Resultant file on playback looks exactly the same as original clip (ie crop effect is inoperable)

Above saved as project, and project file uploaded as `crop-test.kdenlive'

(0006999)
AlexK (reporter)
2011-07-01 01:25

j-b-m:you seem to have lots of problems with effects that I canot reproduce (freeze, LADSPA...) Wondering if there are some issues related to the build script version...

Very possible. However, I would also suggest that you check out whether *your* KDE config is preventing you from seeing some of these issues (reverse thinking). Detailed explanation here:
http://www.kdenlive.org/mantis/view.php?id=2190 [^]

It will easily be possible for you to follow the "Steps To Reproduce" at the link given, and to see the results, without compromising your existing system. That post also gives forensic detail on why (at least some of) these bugs may be happening. In my ignorance, it seems to me that a great many bugs are being missed because of the issues set out in that post.

I'm happy to be informed that I'm completely wrong. However, I would then wish to know how to get a working system, as I have tried to religiously follow all the steps given on this site.
(0007008)
j-b-m (administrator)
2011-07-03 11:44

Ok, the crop issue should be fixed in svn rev. 5756. In fact, the crop effect was working, but the slider range for the parameters was not really sensible.

The "top, left, right, bottom" values for the crop effect were in pixels, with a max of 5000 pixels, and when the value gets bigger than source size, the effect does not work. So if you are working with a PAL profile, with image width of 720, and click in the middle of the slider, you get a parameter value of 2500, which was out of bounds, so effect did not work.

I fixed it by setting a correct max value for the parameters and adding a label to the values so that user now sees that the numbers are in fact pixels.

Will investigate your other bug reports asap
(0007016)
AlexK (reporter)
2011-07-04 10:03

It has certainly improved.

Perhaps I have been poisoned by the on-monitor controls, but I would still describe this effect as `broken'. It is far, far too difficult to easily achieve what you want, which is to crop off bits of the picture. I also cannot directly relate what I am doing with the 'slider's to what will eventually appear on the screen. The screen view disconcertingly changes, and does not seem to bear any direct relation to the sliders.

I am obviously missing something, but remember - I am new to Kdenlive, and my experience is similar to what every newbie will experience.

It is a question of visual feedback. Here is a small example:

Starting at 0:0:0:0, I add a figure of 50pixels to the `Top' slider. Black bars now appear at top & bottom ("but I didn't touch the `Bottom' slider!"). Do the same with the `Left' slider, and now the remainder fills all the screen ("but I did not ask it to zoom, I asked it to crop!").

I cannot for the life of me discover what `Center balance' is supposed to do.

Thanks for your efforts, but I will be avoiding this effect.

- Issue History
Date Modified Username Field Change
2011-06-30 09:12 AlexK New Issue
2011-06-30 16:42 j-b-m Note Added: 0006994
2011-06-30 16:42 j-b-m Assigned To => j-b-m
2011-06-30 16:42 j-b-m Status new => feedback
2011-06-30 22:19 AlexK File Added: crop-test.kdenlive
2011-06-30 22:32 AlexK Note Added: 0006998
2011-06-30 22:32 AlexK Status feedback => assigned
2011-06-30 22:33 AlexK Note Edited: 0006998 View Revisions
2011-07-01 01:25 AlexK Note Added: 0006999
2011-07-03 11:44 j-b-m Note Added: 0007008
2011-07-04 10:03 AlexK Note Added: 0007016


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker